Bug 2252149 - Review Request: mingw-vulkan-utility-libraries - MinGW Windows vulkan-utility-libraries
Summary: Review Request: mingw-vulkan-utility-libraries - MinGW Windows vulkan-utility...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: blinxen
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/KhronosGroup/%{src...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-11-29 20:16 UTC by Sandro Mani
Modified: 2023-12-01 11:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-12-01 11:09:47 UTC
Type: ---
Embargoed:
h-k-81: fedora-review+


Attachments (Terms of Use)
The .spec file difference from Copr build 6706546 to 6709696 (981 bytes, patch)
2023-11-30 22:16 UTC, Fedora Review Service
no flags Details | Diff

Description Sandro Mani 2023-11-29 20:16:53 UTC
Spec URL: https://smani.fedorapeople.org/review/mingw-vulkan-utility-libraries.spec
SRPM URL: https://smani.fedorapeople.org/review/mingw-vulkan-utility-libraries-1.3.268.0-1.fc40.src.rpm
Description: MinGW Windows vulkan-utility-libraries
Fedora Account System Username: smani

Scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=109707736

Comment 1 Fedora Review Service 2023-11-29 20:20:03 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6706546
(failed)

Build log:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2252149-mingw-vulkan-utility-libraries/fedora-rawhide-x86_64/06706546-mingw-vulkan-utility-libraries/builder-live.log.gz

Please make sure the package builds successfully at least for Fedora Rawhide.

- If the build failed for unrelated reasons (e.g. temporary network
  unavailability), please ignore it.
- If the build failed because of missing BuildRequires, please make sure they
  are listed in the "Depends On" field


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 2 Sandro Mani 2023-11-30 22:02:41 UTC
Spec URL: https://smani.fedorapeople.org/review/mingw-vulkan-utility-libraries.spec
SRPM URL: https://smani.fedorapeople.org/review/mingw-vulkan-utility-libraries-1.3.268.0-2.fc40.src.rpm

%changelog
* Thu Nov 30 2023 Sandro Mani <manisandro> - 1.3.268.0-2
- Mark LICENSES/Apache-2.0.txt as %%license

Comment 3 Fedora Review Service 2023-11-30 22:16:03 UTC
Created attachment 2002186 [details]
The .spec file difference from Copr build 6706546 to 6709696

Comment 4 Fedora Review Service 2023-11-30 22:16:05 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6709696
(failed)

Build log:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2252149-mingw-vulkan-utility-libraries/fedora-rawhide-x86_64/06709696-mingw-vulkan-utility-libraries/builder-live.log.gz

Please make sure the package builds successfully at least for Fedora Rawhide.

- If the build failed for unrelated reasons (e.g. temporary network
  unavailability), please ignore it.
- If the build failed because of missing BuildRequires, please make sure they
  are listed in the "Depends On" field


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 5 blinxen 2023-12-01 08:58:01 UTC
Taking this review

General comments:

- From my understanding this package cannot be built, since it requires the latest version of `mingw64-vulkan-headers`. But updating `mingw64-vulkan-headers` breaks other packages, that cannot be updated because they require this package.
- I used this side-tag build from https://koji.fedoraproject.org/koji/buildinfo?buildID=2325714 to build the package locally with (with success):

```
mkdir deps
cd deps
wget https://kojipkgs.fedoraproject.org//packages/mingw-vulkan-headers/1.3.268.0/1.fc40/noarch/mingw64-vulkan-headers-1.3.268.0-1.fc40.noarch.rpm
wget https://kojipkgs.fedoraproject.org//packages/mingw-vulkan-headers/1.3.268.0/1.fc40/noarch/mingw32-vulkan-headers-1.3.268.0-1.fc40.noarch.rpm
cd ..
fedora-review -b 2252149 -L deps/
```

Package looks good to me!

APPROVED

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: The License field must be a valid SPDX expression.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[-]: Spec use %global instead of %define unless justified.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mingw32-vulkan-utility-libraries-1.3.268.0-1.fc40.noarch.rpm
          mingw64-vulkan-utility-libraries-1.3.268.0-1.fc40.noarch.rpm
          mingw-vulkan-utility-libraries-1.3.268.0-1.fc40.src.rpm
=========================================================================================================== rpmlint session starts ==========================================================================================================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmp62qy71iw')]
checks: 32, packages: 3

mingw32-vulkan-utility-libraries.noarch: W: no-documentation
mingw64-vulkan-utility-libraries.noarch: W: no-documentation
mingw32-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/vulkan/layer/vk_layer_settings.h
mingw32-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/vulkan/layer/vk_layer_settings.hpp
mingw32-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/vulkan/layer/vk_layer_settings_ext.h
mingw32-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/vulkan/utility/vk_dispatch_table.h
mingw32-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/vulkan/utility/vk_format_utils.h
mingw32-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/vulkan/utility/vk_struct_helper.hpp
mingw32-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/vulkan/vk_enum_string_helper.h
mingw32-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/libVulkanLayerSettings.a
mingw64-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/vulkan/layer/vk_layer_settings.h
mingw64-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/vulkan/layer/vk_layer_settings.hpp
mingw64-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/vulkan/layer/vk_layer_settings_ext.h
mingw64-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/vulkan/utility/vk_dispatch_table.h
mingw64-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/vulkan/utility/vk_format_utils.h
mingw64-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/vulkan/utility/vk_struct_helper.hpp
mingw64-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/vulkan/vk_enum_string_helper.h
mingw64-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libVulkanLayerSettings.a
mingw32-vulkan-utility-libraries.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/libVulkanLayerSettings.a
mingw64-vulkan-utility-libraries.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libVulkanLayerSettings.a
===================================================================== 3 packages and 0 specfiles checked; 2 errors, 18 warnings, 12 filtered, 2 badness; has taken 0.4 s ====================================================================




Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 32, packages: 2

mingw32-vulkan-utility-libraries.noarch: W: no-documentation
mingw64-vulkan-utility-libraries.noarch: W: no-documentation
mingw32-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/vulkan/layer/vk_layer_settings.h
mingw32-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/vulkan/layer/vk_layer_settings.hpp
mingw32-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/vulkan/layer/vk_layer_settings_ext.h
mingw32-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/vulkan/utility/vk_dispatch_table.h
mingw32-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/vulkan/utility/vk_format_utils.h
mingw32-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/vulkan/utility/vk_struct_helper.hpp
mingw32-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/vulkan/vk_enum_string_helper.h
mingw32-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/libVulkanLayerSettings.a
mingw64-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/vulkan/layer/vk_layer_settings.h
mingw64-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/vulkan/layer/vk_layer_settings.hpp
mingw64-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/vulkan/layer/vk_layer_settings_ext.h
mingw64-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/vulkan/utility/vk_dispatch_table.h
mingw64-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/vulkan/utility/vk_format_utils.h
mingw64-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/vulkan/utility/vk_struct_helper.hpp
mingw64-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/vulkan/vk_enum_string_helper.h
mingw64-vulkan-utility-libraries.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libVulkanLayerSettings.a
mingw32-vulkan-utility-libraries.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/libVulkanLayerSettings.a
mingw64-vulkan-utility-libraries.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libVulkanLayerSettings.a
 2 packages and 0 specfiles checked; 2 errors, 18 warnings, 8 filtered, 2 badness; has taken 0.1 s 



Source checksums
----------------
https://github.com/KhronosGroup/Vulkan-Utility-Libraries/archive/vulkan-sdk-1.3.268.0/Vulkan-Utility-Libraries-1.3.268.0.tar.gz :
  CHECKSUM(SHA256) this package     : 0352a6a9a703a969a805e0d6498e013cba2dc7091cc2013b7c89b1a21f61e3f8
  CHECKSUM(SHA256) upstream package : 0352a6a9a703a969a805e0d6498e013cba2dc7091cc2013b7c89b1a21f61e3f8


Requires
--------
mingw32-vulkan-utility-libraries (rpmlib, GLIBC filtered):

mingw64-vulkan-utility-libraries (rpmlib, GLIBC filtered):



Provides
--------
mingw32-vulkan-utility-libraries:
    mingw32-vulkan-utility-libraries

mingw64-vulkan-utility-libraries:
    mingw64-vulkan-utility-libraries



Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2252149 -L pkg/
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic
Disabled plugins: Haskell, SugarActivity, Python, C/C++, PHP, Perl, fonts, Java, R, Ocaml
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH

Comment 6 Fedora Admin user for bugzilla script actions 2023-12-01 09:01:30 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/mingw-vulkan-utility-libraries

Comment 7 Fedora Update System 2023-12-01 11:08:19 UTC
FEDORA-2023-22c36824b0 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-22c36824b0

Comment 8 Fedora Update System 2023-12-01 11:09:47 UTC
FEDORA-2023-22c36824b0 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.